Bug 836945 - Review Request: java-xmlbuilder - XML Builder Java library for creating XML documents
Review Request: java-xmlbuilder - XML Builder Java library for creating XML d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On: 957544
Blocks: 847109
  Show dependency treegraph
 
Reported: 2012-07-02 05:47 EDT by gil cattaneo
Modified: 2013-05-25 21:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: java-xmlbuilder-0.6-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-07-02 05:47:06 EDT
Spec URL: http://gil.fedorapeople.org/java-xmlbuilder.spec
SRPM URL: http://gil.fedorapeople.org/java-xmlbuilder-0.4-1.fc16.src.rpm
Description: XML Builder is a utility that creates simple XML documents using relatively
sparse Java code.

It is intended to allow for quick and painless creation of XML documents 
where you might otherwise be tempted to use concatenated strings, and 
where you would rather not face the tedium and verbosity of coding with JAXP.
Fedora Account System Username: gil
Comment 1 Orion Poplawski 2013-04-19 13:56:33 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Problems -
- Looks like this bundles a copy of net/iharder/base64/Base64.java from http://iharder.net/base64
- Add "-" between name and version in %changelog entry
- Is upstream alive?  Can you ask them to include a copy of the license?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in java-
     xmlbuilder-javadoc
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /export/home/orion/redhat/java-
     xmlbuilder-0.4/review-java-xmlbuilder/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: java-xmlbuilder-0.4-1.fc18.noarch.rpm
          java-xmlbuilder-javadoc-0.4-1.fc18.noarch.rpm
java-xmlbuilder.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint java-xmlbuilder-javadoc java-xmlbuilder
java-xmlbuilder.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
java-xmlbuilder-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

java-xmlbuilder (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
java-xmlbuilder-javadoc:
    java-xmlbuilder-javadoc

java-xmlbuilder:
    java-xmlbuilder
    mvn(com.jamesmurty.utils:java-xmlbuilder)



MD5-sum check
-------------
Using local file /export/home/orion/redhat/java-xmlbuilder-0.4/java-xmlbuilder-0.4-clean-src-svn
.tar.gz as upstream
file:///export/home/orion/redhat/java-xmlbuilder-0.4/java-xmlbuilder-0.4-clean-src-svn.tar.gz :
  CHECKSUM(SHA256) this package     : a898754d8cee087c36c68edfc5049e40b2d022f503de8f3aa1373d9536
8a5c78
  CHECKSUM(SHA256) upstream package : a898754d8cee087c36c68edfc5049e40b2d022f503de8f3aa1373d9536
8a5c78


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review -n java-xmlbuilder
Comment 2 gil cattaneo 2013-04-20 02:29:54 EDT
(In reply to comment #1)

> Problems -
> - Looks like this bundles a copy of net/iharder/base64/Base64.java from
> http://iharder.net/base64
> - Add "-" between name and version in %changelog entry
never used... really required?
> - Is upstream alive?  Can you ask them to include a copy of the license?
yes ... i think ... (the package contains a single java file... http://prdownloads.sourceforge.net/iharder/Base64-2.3.7.zip), i have some problem for do this now ( problem with my web connection ...)
if you have time for this, please can you do this for me? 
http://sourceforge.net/projects/iharder/?source=navbar under Public Domain
thanks
Comment 4 Orion Poplawski 2013-04-22 18:17:43 EDT
- Still bundles iharder/base64
- Sorry about the - in the changelog, I guess that was old school
- I believe the standard now is to *not* separately download and include a license file.  But upstream (http://code.google.com/p/java-xmlbuilder/) should be asked to include one.
Comment 5 Stanislav Ochotnicky 2013-04-26 02:48:17 EDT
(In reply to comment #4)
> - I believe the standard now is to *not* separately download and include a
> license file.  But upstream (http://code.google.com/p/java-xmlbuilder/)
> should be asked to include one.

The thing is if we want to include ASL 2.0 code in Fedora it *has* to have license included as per point 4.1 of the license[1]. 

[1] http://www.apache.org/licenses/LICENSE-2.0.html#redistribution
Comment 6 Stanislav Ochotnicky 2013-04-26 03:06:31 EDT
Apart from that there's also this from fedora-review (RC)

Issues:
=======
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
- Packages have proper BuildRequires/Requires on jpackage-utils
  Note: Maven packages do not need to (Build)Require jpackage-utils. It is
  pulled in by maven-local
  See: https://fedoraproject.org/wiki/Packaging:Java
- Javadoc subpackages do not have Requires: jpackage-utils
  Note: jpackage-utils requires are automatically generated by the buildsystem
  See: https://fedoraproject.org/wiki/Packaging:Java
Comment 7 gil cattaneo 2013-04-26 04:51:43 EDT
(In reply to comment #6)
> Apart from that there's also this from fedora-review (RC)
> 
> Issues:
> =======
> - Maven packages should use new style packaging
>   Note: If possible update your package to latest guidelines
i cant i use F18, for now
>   See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
> - Packages have proper BuildRequires/Requires on jpackage-utils
>   Note: Maven packages do not need to (Build)Require jpackage-utils. It is
>   pulled in by maven-local
can remove in the next release ?
>   See: https://fedoraproject.org/wiki/Packaging:Java
> - Javadoc subpackages do not have Requires: jpackage-utils
>   Note: jpackage-utils requires are automatically generated by the
> buildsystem
>   See: https://fedoraproject.org/wiki/Packaging:Java
J-U is already required
Comment 8 gil cattaneo 2013-04-26 04:52:34 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > - I believe the standard now is to *not* separately download and include a
> > license file.  But upstream (http://code.google.com/p/java-xmlbuilder/)
> > should be asked to include one.
> 
> The thing is if we want to include ASL 2.0 code in Fedora it *has* to have
> license included as per point 4.1 of the license[1]. 
> 
> [1] http://www.apache.org/licenses/LICENSE-2.0.html#redistribution

open this bug http://code.google.com/p/java-xmlbuilder/issues/detail?id=13
Comment 9 gil cattaneo 2013-04-26 07:46:24 EDT
Spec URL: http://gil.fedorapeople.org/java-xmlbuilder.spec
SRPM URL: http://gil.fedorapeople.org/java-xmlbuilder-0.4-2.fc18.src.rpm

- install upstream license and notice files

java-xmlbuilder don't include the license file in the stable branch
Comment 10 Stanislav Ochotnicky 2013-04-26 13:08:02 EDT
(In reply to comment #7)
> > - Javadoc subpackages do not have Requires: jpackage-utils
> >   Note: jpackage-utils requires are automatically generated by the
> > buildsystem
> >   See: https://fedoraproject.org/wiki/Packaging:Java
> J-U is already required

Point was that there is no need to because RPM will automatically generate that requires. Wording of that check in f-r has been fixed now
Comment 11 gil cattaneo 2013-04-26 14:54:38 EDT
Spec URL: http://gil.fedorapeople.org/java-xmlbuilder.spec
SRPM URL: http://gil.fedorapeople.org/java-xmlbuilder-0.4-2.fc18.src.rpm

- removed superfluous from Javadoc subpackages Requires: jpackage-utils
Comment 12 Orion Poplawski 2013-04-26 15:02:50 EDT
The blocker for me is bundling iharder/base64.  That needs to be packaged separately.
Comment 13 gil cattaneo 2013-04-26 15:08:59 EDT
(In reply to comment #12)
> The blocker for me is bundling iharder/base64.  That needs to be packaged
> separately.

the file is a customization version of iharder/base64... if i create anew package i must patch with the changes done by java-xmlbuilder developer ... and *i do not need* iharder/base64 in a separate new package
Comment 14 Orion Poplawski 2013-04-26 15:11:41 EDT
Then you need to file for a bundling exception.
Comment 15 gil cattaneo 2013-04-26 15:16:27 EDT
(In reply to comment #14)
> Then you need to file for a bundling exception.
I'm sorry, how?
Comment 17 gil cattaneo 2013-04-26 15:39:42 EDT
FPC's trac link i broken or the page is currently offline
thanks
Comment 19 gil cattaneo 2013-05-15 14:31:59 EDT
(In reply to comment #18)
> - update to 0.6
resolved bundled iharder/base64.
Comment 20 Orion Poplawski 2013-05-15 15:44:12 EDT
Looks good then.  Approved.
Comment 21 gil cattaneo 2013-05-15 16:59:48 EDT
New Package SCM Request
=======================
Package Name: java-xmlbuilder
Short Description: XML Builder Java library for creating XML documents
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 22 Jon Ciesla 2013-05-16 08:18:38 EDT
Git done (by process-git-requests).
Comment 23 Fedora Update System 2013-05-16 09:00:46 EDT
java-xmlbuilder-0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/java-xmlbuilder-0.6-1.fc19
Comment 24 Fedora Update System 2013-05-16 09:14:35 EDT
java-xmlbuilder-0.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/java-xmlbuilder-0.6-1.fc18
Comment 25 Fedora Update System 2013-05-16 13:23:03 EDT
java-xmlbuilder-0.6-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 26 Fedora Update System 2013-05-24 16:21:22 EDT
java-xmlbuilder-0.6-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 27 Fedora Update System 2013-05-25 08:16:40 EDT
java-xmlbuilder-0.6-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.